package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 疾病表
 * </p>
 *
 * @author zhoutg
 * @since 2022-03-03
 */
@Data
public class KlDisease implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 术语概念id
     */
    private Long conceptId;

    /**
     * 科室概念id
     */
    private Long deptId;

    /**
     * ICD10编号
     */
    private String icd10Code;

    /**
     * 国临名称
     */
    private String guoname;

    /**
     * 国临编码
     */
    private String guocode;

    /**
     * 国临拼音
     */
    private String guospell;

    /**
     * 病程
     */
    private String course;

    /**
     * 诱因
     */
    private String inducement;

    /**
     * 饮食禁忌
     */
    private String foodProhibition;

    /**
     * 危险因素
     */
    private String hazard;

    /**
     * 治愈性
     */
    private String healing;

    /**
     * 危害性
     */
    private String pernicious;

    /**
     * 临床分类
     */
    private String clinicType;

    /**
     * 好发地区
     */
    private String vulArea;

    /**
     * 好发人群
     */
    private String vulCrowd;

    /**
     * 发病率
     */
    private Double incidence;

    /**
     * 是否传染（0：否，1：是）
     */
    private Integer isInfect;

    /**
     * 并发症
     */
    private String complication;

    /**
     * 病因
     */
    private String pathogeny;

    /**
     * 疾病分型
     */
    private String disType;

    /**
     * 中西医疾病（0：通用，1：西，2：中）
     */
    private Integer chWestern;

    /**
     * 是否常见病（0：否，1：是）
     */
    private Integer isCommonDis;

    /**
     * 是否遗传（0：否，1：是）
     */
    private Integer isHeredity;

    /**
     * 简称
     */
    private String nameSimple;

    /**
     * 英文简称
     */
    private String enNameSimple;

    /**
     * 英文名称
     */
    private String enName;

    /**
     * 形态学分类代码
     */
    private String morphology;

    /**
     * 肿瘤细胞类型
     */
    private String tumorCellType;

    /**
     * 备注
     */
    private String remark;
}
