package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.DictionaryInfoDTO;
import com.diagbot.entity.KlLexicon;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.KlLexiconServiceImpl;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @Author:zhoutg
 * @time: 2020/12/28 11:47
 */
@Component
public class KlLexiconFacade extends KlLexiconServiceImpl {

    /**
     * 获取词性字典数据
     *
     * @return
     */
    public List<DictionaryInfoDTO> getLexiconDic() {
        List<DictionaryInfoDTO> res = new ArrayList<>();
        List<KlLexicon> lexiconList = this.list(new QueryWrapper<KlLexicon>().lambda()
                .eq(KlLexicon::getIsDeleted, IsDeleteEnum.N.getKey()));
        for (KlLexicon klLexicon : lexiconList) {
            DictionaryInfoDTO dictionaryInfoDTO = new DictionaryInfoDTO();
            dictionaryInfoDTO.setGroupType(-100L);
            dictionaryInfoDTO.setName(klLexicon.getName());
            dictionaryInfoDTO.setVal(String.valueOf(klLexicon.getCode()));
            dictionaryInfoDTO.setOrderNo(klLexicon.getId().intValue());
            dictionaryInfoDTO.setRemark("词库所有类型");
            res.add(dictionaryInfoDTO);
        }
        return res;
    }
}